package com.atlassian.stash.internal.scm.git.submodule;

public class SubmoduleUrls {

    public static final SubmoduleUrls NONE = new SubmoduleUrls(null, null);

    private final String repositoryUrl;
    private final String browseUrl;

    public SubmoduleUrls(String repositoryUrl, String browseUrl) {
        this.repositoryUrl = repositoryUrl;
        this.browseUrl = browseUrl;
    }

    public String getRepositoryUrl() {
        return repositoryUrl;
    }

    public String getBrowseUrl() {
        return browseUrl;
    }

    @Override
    public String toString() {
        return "SubmoduleUrls{" +
                "repositoryUrl='" + repositoryUrl + '\'' +
                ", browseUrl='" + browseUrl + '\'' +
                '}';
    }
}
